var Controller, Immutable, React, Todolist, actions, div, onCommit, render;

React = require("react");

Immutable = require("immutable");

actions = require("../actions");

Todolist = React.createFactory(require("./todolist"));

Controller = React.createFactory(require("../panel/controller"));

div = React.createFactory("div");

module.exports = React.createClass({
  displayName: "app-page",
  propTypes: {
    store: React.PropTypes.instanceOf(Immutable.List),
    recorder: React.PropTypes.object.isRequired
  },
  onCommit: onCommit = function() {
    return actions.internalCommit();
  },
  onReset: function() {
    return actions.internalReset();
  },
  onPeek: function(position) {
    return actions.internalPeek(position);
  },
  onRun: function() {
    return actions.internalRun();
  },
  onMergeBefore: function() {
    return actions.internalMergeBefore();
  },
  onClearAfter: function() {
    return actions.internalClearAfter();
  },
  render: render = function() {
    return div({
      className: "app-page"
    }, Todolist({
      store: this.props.store
    }), Controller({
      records: this.props.recorder.records,
      pointer: this.props.recorder.pointer,
      initial: this.props.recorder.initial,
      updater: this.props.recorder.updater,
      isTravelling: this.props.recorder.isTravelling,
      onCommit: this.onCommit,
      onReset: this.onReset,
      onPeek: this.onPeek,
      onRun: this.onRun,
      onMergeBefore: this.onMergeBefore,
      onClearAfter: this.onClearAfter,
      language: 'en'
    }));
  }
});
